GET, POST

/api/public/v1/storage/resources

Live

List or create storage resources (volumes / file shares).

Parameters

NameInRequiredDescription
typequery (GET)false"volume" or "fileShare".
tag.<key>query (GET)falseAny number of tag.<key>=<value> params filter by tag.
type, name, region, capacity, performanceProfile, tagsbody (POST)type, name requiredCreates a resource -- see the Storage Control Plane product guide for the full field meanings.

Response

GET: { resources: [...] }. POST: { resource: {...} }.

Example

curl -H "Authorization: Bearer $INAYA_API_KEY" \
  "https://app.inaya.network/api/public/v1/storage/resources"